This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 86691

Summary: Call EJB & similar actions does not add entry to DD
Product: javaee Reporter: Lukas Jungmann <jungi>
Component: App ClientAssignee: Lukas Jungmann <jungi>
Status: VERIFIED FIXED    
Severity: blocker CC: abadea, dkolar, madamek, pjiricka
Priority: P2 Keywords: RELNOTE
Version: 5.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Attachments: diff
correct patch

Description Lukas Jungmann 2006-10-06 16:04:05 UTC
Injection in Java EE 5 based app client is supported only in main class, in
other classes there must be used J2EE 1.4 style lookup w/ associated entries in
DD. Currently lookup method is being generated correctly, but entries to DD are
not being added.
Comment 1 Lukas Jungmann 2006-10-06 16:07:48 UTC
Created attachment 34997 [details]
diff
Comment 2 Lukas Jungmann 2006-10-06 16:11:25 UTC
Andrej, Martin can I ask you for review and/or a suggestion how to make better
fix for this?

Thanks. 
Comment 3 Lukas Jungmann 2006-10-07 14:14:10 UTC
Created attachment 35020 [details]
correct patch
Comment 4 Petr Jiricka 2006-10-09 08:33:41 UTC
> entries to DD are not being added.

This behavior is for main class or for other classes? Can you please clarify?
Thanks.
Comment 5 Lukas Jungmann 2006-10-09 08:54:57 UTC
For other classes - in non-main class there must be lookup method with
associated entries in DD, currently there's lookup method but no entry in DD and
w/o this entry lookup will not work.
Comment 6 Petr Jiricka 2006-10-11 08:37:50 UTC
Not a showstopper for NetBeans 5.5, adding the 5.5_WAIVER_REQUEST keyword per
team agreement.
Comment 7 Petr Blaha 2006-10-12 10:20:14 UTC
No objections in last 24 hours. Marking as approved.
Comment 8 Lukas Jungmann 2006-10-20 10:17:25 UTC
f. in M4, Dane, please verify.

IDE: [10/20/06 11:16 AM] Committing "JarContainerImpl.java" started
Checking in JarContainerImpl.java;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/JarContainerImpl.java,v
 <--  JarContainerImpl.java
new revision: 1.3; previous revision: 1.2
done
IDE: [10/20/06 11:17 AM] Committing "JarContainerImpl.java" finished
Comment 9 Dan Kolar 2006-10-30 13:25:20 UTC
v.
Comment 10 pgebauer 2007-03-02 12:00:53 UTC
The issue has been fixed in the release551 branch.
Checking in JarContainerImpl.java;
/cvs/j2ee/clientproject/src/org/netbeans/modules/j2ee/clientproject/JarContainerImpl.java,v
 <--  JarContainerImpl.java
new revision: 1.1.4.8.16.1; previous revision: 1.1.4.8
done